Bug 501011 - Fedora 10 32bit can not install if total CPU cores > 8
Fedora 10 32bit can not install if total CPU cores > 8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 10:04 EDT by Bhavna Sarathy
Modified: 2009-05-20 20:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 20:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core enumeration in dmesg, shows 8 core limit (245.43 KB, image/pjpeg)
2009-05-15 10:04 EDT, Bhavna Sarathy
no flags Details
NR CPUs is set to 32, theoritically the OS should be able to enumerate 12 CPUs (325.11 KB, image/png)
2009-05-15 10:12 EDT, Bhavna Sarathy
no flags Details

  None (edit)
Description Bhavna Sarathy 2009-05-15 10:04:24 EDT
Created attachment 344152 [details]
core enumeration in dmesg, shows 8 core limit

Description of problem:
Install Fedora 10 32-bit on a Toonie 2 socket system with Istanbul processors 
This system has 12 cores that should be enumerated.

Version-Release number of selected component (if applicable):
Redhat Fedora 10 32-bit (Kernel 2.6.27.5-117)

How reproducible:
everytime

Steps to Reproduce:
1.Install Fedora 10 32-bit
2.Reboot 
3.Check /proc/cpuinfo and dmesg for number of cores enumerated
  
Actual results:
Only 8 cores are enumerated

Expected results:
All 12 cores need to be enumerated.

Additional info:
Comment 1 Bhavna Sarathy 2009-05-15 10:12:19 EDT
Created attachment 344154 [details]
NR CPUs is set to 32, theoritically the OS should be able to enumerate 12 CPUs
Comment 2 Bhavna Sarathy 2009-05-15 10:14:03 EDT
In older RHEL kernels (2.6.9) a large-smp kernel had to be used to enumerate >8 core count systems.   However I wouldn't think that Fedora 10 would have such limitations.
Comment 3 Bhavna Sarathy 2009-05-15 10:49:01 EDT
Modifying steps to reproduce, as there is an issue installing the OS on Toonie.

Steps to Reproduce:
1.Install Fedora 10 32-bit
2.Install fails
Comment 4 Chuck Ebbert 2009-05-18 02:15:44 EDT
This was fixed in an update, kernels after 2.6.27.15-170.2.20 will detect up to 32 processors.
Comment 5 Bhavna Sarathy 2009-05-18 09:41:21 EDT
Great.   I'm not familiar with Fedora updates; I need a link or instructions to pass on to AMD QA.

Thanks,
Bhavna
Comment 6 Chuck Ebbert 2009-05-20 20:27:37 EDT
(In reply to comment #5)
> Great.   I'm not familiar with Fedora updates; I need a link or instructions to
> pass on to AMD QA.
> 

Open a command window and run the command 'yum update kernel' as root.


Or install the latest respin if you want to test new installs:
http://fedoraunity.org/news-archives/fedora-unity-releases-fedora-10-re-spin

I can't help with how to download the respin and make the install discs though.


Marking this bug as fixed by the kernel update, reopen the bug if it doesn't work.

Note You need to log in before you can comment on or make changes to this bug.